# -*- coding: utf-8 -*-
#概要:データベースから温度を取得し、グラフを更新するプログラム(描画数は増加)

# plot
import matplotlib.pyplot as pyplot
# DB data get
import psycopg2
from datetime import datetime

# データベース接続パラメータ
host=#IP アドレス#
dbname="pi"
user="pi"
pw="raspberry"
port="5432"
conect="host="+host+" dbname="+dbname+" user="+user+" password="+pw+" port="+port
connection = psycopg2.connect(conect)
cur = connection.cursor()
cur.execute("select * from reidai order by id;")
row =cur.fetchall()
print(row)
x = [] #時間軸を格納するリストの宣言
y = [] #温度を格納するリストの宣言
for i in range(0,len(row)):
	x.append(row[i][2].strftime('%H:%M:%S'))#date 型から文字列型にキャストして格納
	y.append(float(row[i][3]))
try:
	while True:
		pyplot.xlabel('time')
		pyplot.ylabel('temp')
		pyplot.plot(x,y)
		#TODO: グラフの描画#
		#TODO: 更新間隔#
		#TODO: 画面初期化#
		cur.execute("select * from reidai order by id ;") # SQL 文を実行
		row =cur.fetchall() # 実行結果をrow に格納
		x.append(#TODO:X 軸の最新のデータを格納#)
		y.append(#TODO:Y 軸の最新のデータを格納#)
except KeyboardInterrupt:
	cur.close()
	connection.close()